<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hts__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hts_char_value_t</compoundname>
    <includes local="no">cy_ble_hts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hts__char__value__t_1aeeeaae04a8806be3a23165a5d82ef5ef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_hts_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="104" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hts__char__value__t_1ac1862e7761403e03945188d73cc59643" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___h_t_s__definitions_1gad1f278cc72db33aa29972217aa876b30">cy_en_ble_hts_char_index_t</ref></type>
        <definition>cy_en_ble_hts_char_index_t cy_stc_ble_hts_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="105" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hts__char__value__t_1ad009b4672ec856e7a0dee3fb10bf86a3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_hts_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="106" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HTS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="875">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="874">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="873">
        <label>cy_stc_ble_hts_char_value_t</label>
        <link refid="structcy__stc__ble__hts__char__value__t" />
        <childnode refid="874" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="875" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="107" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="103" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hts__char__value__t_1ac1862e7761403e03945188d73cc59643" virt="non-virtual"><scope>cy_stc_ble_hts_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__hts__char__value__t_1aeeeaae04a8806be3a23165a5d82ef5ef" virt="non-virtual"><scope>cy_stc_ble_hts_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hts__char__value__t_1ad009b4672ec856e7a0dee3fb10bf86a3" virt="non-virtual"><scope>cy_stc_ble_hts_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>